Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0006977 [DCSS] Bug Report crash have not tried 2013-04-28 15:18 2014-05-31 22:29
Reporter gooby View Status public  
Assigned To neil
Priority normal Resolution done  
Status resolved   Product Branch 0.11 ancient branch
Summary 0006977: Ctrl-F "wand" causes crash (savefile included)
Description crash dump:

ASSERT(subdepth <= 27) in 'travel.cc' at line 1832 failed.

Version: Dungeon Crawl Stone Soup 0.11.2
Platform: unix
Bits: 32
Game mode: normal
Tiles: no

Command line: ./crawl

RC options:
restart_after_game = false


Crash caused by signal 0000006: Aborted

Obtained 19 stack frames.
./crawl(_Z17write_stack_traceP8_IO_FILEi+0x1e) [0x81b27ae]: write_stack_trace(_IO_FILE*, int)
./crawl(_Z13do_crash_dumpv+0x30f) [0x81b9e0f]: do_crash_dump()
./crawl() [0x81b2adb]
[0xe79400]
[0xe79416]
/lib/i386-linux-gnu/libpthread.so.0(raise+0x3e) [0x338dde]:
./crawl() [0x81b9740]
./crawl(_Z12AssertFailedPKcS0_i+0x8e) [0x81b998e]: AssertFailed(char const*, char const*, int)
./crawl() [0x8606972]
./crawl() [0x8606930]
./crawl(_Z14level_distance8level_idS_+0x55) [0x86069d5]: level_distance(level_id, level_id)
./crawl(_ZNK12StashTracker20get_matching_stashesERK12base_patternRSt6vectorI19stash_search_resultSaIS4_EE+0xc2) [0x85a96d2]: StashTracker::get_matching_stashes(base_pattern const&, std::vector<stash_search_result, std::allocator<stash_search_result> >&) const
./crawl(_ZN12StashTracker14search_stashesEv+0x2e8) [0x85ab9d8]: StashTracker::search_stashes()
./crawl(_Z15process_command12command_type+0x481) [0x837de51]: process_command(command_type)
./crawl() [0x8380c9c]
./crawl() [0x83817a5]
./crawl(main+0x130) [0x80f41b0]:
/lib/i386-linux-gnu/libc.so.6(__libc_start_main+0xf3) [0x35e4d3]:
./crawl() [0x81275e9]

Compilation info:
<<<<<<<<<<<
Compiled with GCC 4.6.3 on Apr 23 2013 at 19:09:24
Build platform: i686-linux-gnu
Platform: i686-linux-gnu
CFLAGS: -O2 -pipe -Wall -Wformat-security -Wundef -Wno-array-bounds -Wno-parentheses -Wno-unused-parameter -Wwrite-strings -Wshadow -Wuninitialized -Icontrib/install/i686-linux-gnu/include -Iutil -I. -I/usr/include -Irltiles -I/usr/include/ncursesw -DWIZARD -DASSERTS -DCLUA_BINDINGS
LDFLAGS: -rdynamic -O2
>>>>>>>>>>>

Place info:
branch = 2, depth = 4

Level id: Orc:4
Level build method = , level layout type = caves, absdepth0 = 11
Level vaults:
    layout_caves: (0,0) (80,70) orient: 9 lev: 11
    st_orc_ogre_mass: (7,37) (24,14) orient: 10 lev: 11
    uniq_joseph: (42,19) (1,1) orient: 10 lev: 11

Markers:
<<<<<<<<<<<<<<<<<<<<<<
>>>>>>>>>>>>>>>>>>>>>>

Messages:
<<<<<<<<<<<<<<<<<<<<<<
Aiming: Lightning Bolt
Press: ? - help, Shift-Dir - straight line, f - ogre
Aim: an ogre, wielding a giant club
You hear a mighty clap of thunder!
The bolt of lightning misses the ogre. The orc throws an orcish hand axe.
The orcish hand axe misses you.
The orc throws an orcish hand axe. The orcish hand axe misses you.
Casting: Lightning Bolt
Confirm with . or Enter, or press ? or * to list all spells.
Aiming: Throw Frost
Press: ? - help, Shift-Dir - straight line, f/p - ogre
Aim: an ogre, wielding a giant club
The puff of frost hits the orc.
You kill the orc!
Vehumet accepts your kill.
You feel your power returning.
The ogre closely misses you.
Casting: Throw Frost
Confirm with . or Enter, or press ? or * to list all spells.
Aiming: Throw Frost
Press: ? - help, Shift-Dir - straight line, f/p - ogre
Aim: an ogre, wielding a giant club
The puff of frost hits the ogre.
The ogre is lightly wounded.
Casting: Throw Frost
Confirm with . or Enter, or press ? or * to list all spells.
Aiming: Throw Frost
Press: ? - help, Shift-Dir - straight line, f/p - ogre
Aim: an ogre, wielding a giant club (lightly wounded)
The puff of frost hits the ogre.
The ogre is heavily wounded.
The ogre misses you.
Casting: Throw Frost
Confirm with . or Enter, or press ? or * to list all spells.
Aiming: Throw Frost
Press: ? - help, Shift-Dir - straight line, f/p - ogre
Aim: an ogre, wielding a giant club (heavily wounded)
The puff of frost hits the ogre.
The ogre is almost dead.
The ogre misses you.
Casting: Throw Frost
Confirm with . or Enter, or press ? or * to list all spells.
Aiming: Throw Frost
Press: ? - help, Shift-Dir - straight line, f/p - ogre
Aim: an ogre, wielding a giant club (almost dead)
The puff of frost hits the ogre.
You kill the ogre!
Vehumet accepts your kill.
You feel your power returning.
Drop what? (_ for help) (? for menu, Esc to quit)
Okay, then.
Casting: Throw Frost
Confirm with . or Enter, or press ? or * to list all spells.
Aiming: Lightning Bolt
Press: ? - help, Shift-Dir - straight line, f - hobgoblin
Aim: a hobgoblin
You hear a mighty clap of thunder!
The bolt of lightning hits the hobgoblin.
You kill the hobgoblin!
Vehumet accepts your kill.
The bolt of lightning hits the orc.
You kill the orc!
Vehumet accepts your kill.
You feel your power returning.
Unknown command.
You see here a giant club.
Items here: % ))))
an orcish club; an orcish hand axe; an orcish hand axe; an orcish hand axe
an orc corpse
Things that are here:
an orcish hand axe; an orc corpse
You now have 1230 gold pieces (gained 10).
You now have 1248 gold pieces (gained 18).
You now have 1271 gold pieces (gained 23).
Unknown command.
You now have 1290 gold pieces (gained 19).
You start searching.
Done searching.
There is a stone staircase leading down here.
You climb downwards.
There is a stone staircase leading up here.
Casting: Lightning Bolt
Confirm with . or Enter, or press ? or * to list all spells.
Aiming: Throw Frost
Press: ? - help, Shift-Dir - straight line, f - orc priest
Aim: an orc priest, wielding an orcish flail and wearing an orcish ring mail
The puff of frost hits the orc priest.
The orc priest is heavily wounded.
The orc priest glows brightly for a moment.
Casting: Throw Frost
Confirm with . or Enter, or press ? or * to list all spells.
Aiming: Throw Frost
Press: ? - help, Shift-Dir - straight line, f/p - orc priest
Aim: an orc priest, wielding an orcish flail and wearing an orcish ring mail (heavily wounded)
The puff of frost hits the orc priest.
You kill the orc priest!
Vehumet accepts your kill.
Casting: Throw Frost
Confirm with . or Enter, or press ? or * to list all spells.
Aiming: Throw Frost
Press: ? - help, Shift-Dir - straight line, f - orc priest
Aim: an orc priest, wielding an orcish flail
The puff of frost hits the orc priest.
You kill the orc priest!
Vehumet accepts your kill.
You feel your power returning.
Casting: Throw Frost
Confirm with . or Enter, or press ? or * to list all spells.
Aiming: Throw Frost
Press: ? - help, Shift-Dir - straight line, f - orc
Aim: an orc, wielding an orcish mace
The puff of frost hits the orc.
You kill the orc!
Vehumet accepts your kill.
You feel your power returning.
Casting: Throw Frost
Confirm with . or Enter, or press ? or * to list all spells.
There are no visible monsters within range! (Use Z to cast anyway.)
Unknown command.
Unknown command.
You see here an orcish flail.
You now have 1306 gold pieces (gained 16).
You see here an orcish mace.
You see here an orc skeleton.
The orc throws an orcish spear. The orcish spear misses you.
You see here an orcish spear.
The orc throws an orcish spear. The orcish spear misses you.
The orc throws an orcish spear. The orcish spear misses you.
Casting: Throw Frost
Confirm with . or Enter, or press ? or * to list all spells.
Aiming: Throw Frost
Press: ? - help, Shift-Dir - straight line, f - orc
Aim: an orc
The puff of frost hits the orc.
The orc is severely wounded.
Casting: Throw Frost
Confirm with . or Enter, or press ? or * to list all spells.
Aiming: Throw Frost
Press: ? - help, Shift-Dir - straight line, f/p - orc
Aim: an orc (severely wounded)
The puff of frost hits the orc.
You kill the orc!
Vehumet accepts your kill.
You feel your power returning.
Unknown command.
You now have 1319 gold pieces (gained 13).
You now have 1333 gold pieces (gained 14).
Found 15 gold pieces.
An orc comes into view. It is wielding an orcish flail.
The orc moves out of view.
You see here 15 gold pieces.
Casting: Throw Frost
Confirm with . or Enter, or press ? or * to list all spells.
Aiming: Throw Frost
Press: ? - help, Shift-Dir - straight line, f - orc
Aim: an orc, wielding an orcish dagger (hasn't noticed you)
The puff of frost misses the orc.
Casting: Throw Frost
Confirm with . or Enter, or press ? or * to list all spells.
Aiming: Throw Frost
Press: ? - help, Shift-Dir - straight line, p - orc
The orc hits you but does no damage.
The orc priest mumbles some strange prayers to Beogh against you.
Something smites you!
Casting: Throw Frost
Confirm with . or Enter, or press ? or * to list all spells.
Aiming: Throw Frost
Press: ? - help, Shift-Dir - straight line, f - orc
Aim: an orc, wielding an orcish dagger
The puff of frost misses the orc. The orc misses you.
The orc priest calls down the wrath of Beogh upon you.
Something smites you!
Casting: Throw Frost
Confirm with . or Enter, or press ? or * to list all spells.
Aiming: Throw Frost
Press: ? - help, Shift-Dir - straight line, f/p - orc
Aim: an orc, wielding an orcish dagger
The puff of frost hits the orc.
You kill the orc!
Vehumet accepts your kill.
You feel your power returning.
Casting: Throw Frost
Confirm with . or Enter, or press ? or * to list all spells.
Aiming: Throw Frost
Press: ? - help, Shift-Dir - straight line, f - orc
Aim: an orc, wielding an orcish flail and wearing an orcish scale mail
The puff of frost hits the orc.
The orc is moderately wounded.
The orc priest mumbles some strange prayers to Beogh.
You feel a wave of unholy energy pass over you.
Casting: Throw Frost
Confirm with . or Enter, or press ? or * to list all spells.
Aiming: Throw Frost
Press: ? - help, Shift-Dir - straight line, f/p - orc
Aim: an orc, wielding an orcish flail and wearing an orcish scale mail (moderately wounded)
The puff of frost hits the orc.
The orc is severely wounded.
Casting: Throw Frost
Confirm with . or Enter, or press ? or * to list all spells.
Aiming: Throw Frost
Press: ? - help, Shift-Dir - straight line, f/p - orc
Aim: an orc, wielding an orcish flail and wearing an orcish scale mail (severely wounded)
The puff of frost hits the orc.
You kill the orc!
Vehumet accepts your kill.
Casting: Throw Frost
Confirm with . or Enter, or press ? or * to list all spells.
Aiming: Throw Frost
Press: ? - help, Shift-Dir - straight line, f - orc priest
Aim: an orc priest wearing an orcish scale mail
The puff of frost hits the orc priest.
The orc priest is severely wounded.
Casting: Throw Frost
Confirm with . or Enter, or press ? or * to list all spells.
Aiming: Throw Frost
Press: ? - help, Shift-Dir - straight line, f/p - orc priest
Aim: an orc priest wearing an orcish scale mail (severely wounded)
The puff of frost hits the orc priest. The orc priest appears unharmed.
The orc priest is severely wounded.
Casting: Throw Frost
Confirm with . or Enter, or press ? or * to list all spells.
Aiming: Throw Frost
Press: ? - help, Shift-Dir - straight line, f/p - orc priest
Aim: an orc priest wearing an orcish scale mail (severely wounded)
The puff of frost hits the orc priest.
The orc priest is almost dead.
The orc priest prays to Beogh.
The orc priest is healed somewhat.
Casting: Throw Frost
Confirm with . or Enter, or press ? or * to list all spells.
Aiming: Throw Frost
Press: ? - help, Shift-Dir - straight line, f/p - orc priest
Aim: an orc priest wearing an orcish scale mail (heavily wounded)
The puff of frost hits the orc priest.
The orc priest is severely wounded.
The orc priest closely misses you.
An orc comes into view.
The orc moves out of view. The orc priest misses you.
Found 12 gold pieces.
Things that are here:
an orcish dagger; 16 gold pieces; an orc corpse
The orc priest barely misses you.
Things that are here:
an orcish flail; an orcish scale mail; 13 gold pieces; an orc corpse
Casting: Throw Frost
Confirm with . or Enter, or press ? or * to list all spells.
Aiming: Throw Frost
Press: ? - help, Shift-Dir - straight line, f/p - orc priest
Aim: an orc priest wearing an orcish scale mail (heavily wounded)
The puff of frost hits the orc priest. The orc priest appears unharmed.
The orc priest is heavily wounded.
The orc priest hits you.
Casting: Throw Frost
Confirm with . or Enter, or press ? or * to list all spells.
Aiming: Throw Frost
Press: ? - help, Shift-Dir - straight line, f/p - orc priest
Aim: an orc priest wearing an orcish scale mail (heavily wounded)
The puff of frost hits the orc priest.
You kill the orc priest!
Vehumet accepts your kill.
You feel your power returning.
You see here an orcish scale mail.
Casting: Throw Frost
Confirm with . or Enter, or press ? or * to list all spells.
Aiming: Throw Frost
Press: ? - help, Shift-Dir - straight line, f - orc
Aim: an orc wearing an orcish leather armour
The puff of frost hits the orc.
The orc is heavily wounded.
Casting: Throw Frost
Confirm with . or Enter, or press ? or * to list all spells.
Aiming: Throw Frost
Press: ? - help, Shift-Dir - straight line, f/p - orc
Aim: an orc wearing an orcish leather armour (heavily wounded)
The puff of frost hits the orc.
You kill the orc!
Vehumet accepts your kill.
You feel your power returning.
You now have 1346 gold pieces (gained 13).
Things that are here:
an orcish flail; an orcish scale mail; an orc corpse
An ogre comes into view. It is wielding a giant club.
Things that are here:
an orcish leather armour; an orc corpse
Casting: Throw Frost
Confirm with . or Enter, or press ? or * to list all spells.
Aiming: Throw Frost
Press: ? - help, Shift-Dir - straight line, f - ogre
Aim: an ogre, wielding a giant club (resting)
The puff of frost hits the ogre.
The ogre is heavily wounded.
The ogre shouts!
Casting: Throw Frost
Confirm with . or Enter, or press ? or * to list all spells.
Aiming: Throw Frost
Press: ? - help, Shift-Dir - straight line, f/p - ogre
Aim: an ogre, wielding a giant club (heavily wounded)
The puff of frost hits the ogre.
The ogre is almost dead.
Casting: Throw Frost
Confirm with . or Enter, or press ? or * to list all spells.
Aiming: Throw Frost
Press: ? - help, Shift-Dir - straight line, f/p - ogre
Aim: an ogre, wielding a giant club (severely wounded)
The puff of frost hits the ogre.
You kill the ogre!
Vehumet accepts your kill.
You feel your power returning.
An orc priest comes into view. It is wielding an orcish trident.
An orc wizard comes into view. It is wielding an orcish dagger.
You see here 12 gold pieces.
Casting: Throw Frost
Confirm with . or Enter, or press ? or * to list all spells.
Aiming: Throw Frost
Press: ? - help, Shift-Dir - straight line, f - orc priest
Aim: an orc priest, wielding an orcish trident and wearing an orcish ring mail (resting)
The puff of frost hits the orc priest.
The orc priest is heavily wounded.
The orc priest shouts!
Casting: Throw Frost
Confirm with . or Enter, or press ? or * to list all spells.
Aiming: Throw Frost
Press: ? - help, Shift-Dir - straight line, f/p - orc priest
Aim: an orc priest, wielding an orcish trident and wearing an orcish ring mail (heavily wounded)
The puff of frost misses the orc priest.
An orc priest comes into view. It is wielding an orcish flail.
Casting: Throw Frost
Confirm with . or Enter, or press ? or * to list all spells.
Aiming: Throw Frost
Press: ? - help, Shift-Dir - straight line, f/p - orc priest
Aim: an orc priest, wielding an orcish trident and wearing an orcish ring mail (heavily wounded)
The puff of frost hits the orc priest.
The orc priest is severely wounded.
The orc wizard gestures wildly while chanting.
The orc wizard blinks!
The orc priest invokes the aid of Beogh against you.
Something smites you!
Casting: Throw Frost
Confirm with . or Enter, or press ? or * to list all spells.
Aiming: Throw Frost
Press: ? - help, Shift-Dir - straight line, f/p - orc priest
Aim: an orc priest, wielding an orcish trident and wearing an orcish ring mail (severely wounded)
The puff of frost hits the orc priest.
You kill the orc priest!
Vehumet accepts your kill.
Casting: Throw Frost
Confirm with . or Enter, or press ? or * to list all spells.
Aiming: Throw Frost
Press: ? - help, Shift-Dir - straight line, f - orc priest
Aim: an orc priest, wielding an orcish flail
The puff of frost hits the orc priest.
The orc priest is almost dead.
Casting: Throw Frost
Confirm with . or Enter, or press ? or * to list all spells.
Aiming: Throw Frost
Press: ? - help, Shift-Dir - straight line, f/p - orc priest
Aim: an orc priest, wielding an orcish flail (almost dead)
The puff of frost hits the orc priest.
You kill the orc priest!
Vehumet accepts your kill.
You feel your power returning.
2 orcs come into view.
The orc picks up an orcish scale mail. The orc wears an orcish scale mail.
The orc picks up an orcish leather armour.
The orc wears an orcish leather armour.
You see here 12 gold pieces.
An orc comes into view. It is wielding an orcish morningstar.
The orc wizard casts a spell.
The orc wizard blinks!
You see here 12 gold pieces.
The orc wizard gestures wildly while chanting.
The orc wizard seems to speed up.
Things that are here:
an orcish trident; an orcish ring mail; an orc corpse
The orc wizard points at you and mumbles some strange words.
The magic dart hits you!
The orc wizard points at you and mumbles some strange words.
You feel yourself slow down.
The orc wizard unwields an uncursed orcish dagger.
The orc wizard drops an uncursed orcish dagger.
The orc wizard picks up an orcish flail.
The orc wizard wields an orcish flail.
You see here 12 gold pieces.
Casting: Throw Frost
Confirm with . or Enter, or press ? or * to list all spells.
Aiming: Throw Frost
Press: ? - help, Shift-Dir - straight line, f - orc
Aim: an orc, wielding an orcish flail and wearing an orcish scale mail (hasn't noticed you)
The puff of frost hits the orc.
You kill the orc!
Vehumet accepts your kill.
You feel your power returning.
The orc wizard picks up an uncursed orcish dagger.
Casting: Throw Frost
Confirm with . or Enter, or press ? or * to list all spells.
Aiming: Throw Frost
Press: ? - help, Shift-Dir - straight line, f - orc
Aim: an orc, wielding an orcish morningstar
The puff of frost hits the orc.
You kill the orc!
Vehumet accepts your kill.
You feel your power returning.
The orc wizard points at you and mumbles some strange words.
The magic dart hits you!
Casting: Throw Frost
Confirm with . or Enter, or press ? or * to list all spells.
Aiming: Throw Frost
Press: ? - help, Shift-Dir - straight line, f - orc
Aim: an orc wearing an orcish leather armour
The puff of frost hits the orc.
You kill the orc!
Vehumet accepts your kill.
You feel your power returning.
The orc wizard casts a spell at you.
The magic dart hits you!
The orc wizard unwields an uncursed orcish flail.
The orc wizard drops an uncursed orcish flail.
The orc wizard picks up an orcish trident.
The orc wizard wields an orcish trident.
The orc wizard hits you from afar with an orcish trident!
The orc wizard misses you.
The orc wizard gestures at you while chanting.
The magic dart hits you!
Casting: Throw Frost
Confirm with . or Enter, or press ? or * to list all spells.
Aiming: Throw Frost
Press: ? - help, Shift-Dir - straight line, f - orc wizard
Aim: an orc wizard, wielding an orcish trident and wearing an orcish robe (moving very quickly)
The puff of frost hits the orc wizard.
You kill the orc wizard!
Vehumet accepts your kill.
You feel your power returning.
You now have 1358 gold pieces (gained 12).
You feel yourself speed up.
You see here an orc corpse.
There is a stone staircase leading down here.
Things that are here:
an orcish chain mail; an orcish spiked flail
There is a stone staircase leading up here.
Found 17 gold pieces.
Found 13 gold pieces.
You now have 1375 gold pieces (gained 17).
You now have 1388 gold pieces (gained 13).
There is a stone staircase leading down here.
You climb downwards.
7 orcs, an orc warrior and an orc priest come into view.
The orc shouts!
You hear a shout!
Found 8 gold pieces.
Found a staircase to the Elven Halls and a stone staircase leading down.
There is a stone staircase leading up here.
Casting: Throw Frost
Confirm with . or Enter, or press ? or * to list all spells.
Aiming: Throw Frost
Press: ? - help, Shift-Dir - straight line, f - orc
Aim: an orc, wielding an orcish falchion
The puff of frost misses the orc.
The orc priest invokes the aid of Beogh against you.
You resist. The orc completely misses you.
An orc comes into view. It is wielding a glowing orcish mace.
Casting: Throw Frost
Confirm with . or Enter, or press ? or * to list all spells.
Aiming: Throw Frost
Press: ? - help, Shift-Dir - straight line, f/p - orc
Aim: an orc, wielding an orcish falchion
The puff of frost hits the orc.
You kill the orc!
Vehumet accepts your kill.
You feel your power returning.
Casting: Throw Frost
Confirm with . or Enter, or press ? or * to list all spells.
Aiming: Throw Frost
Press: ? - help, Shift-Dir - straight line, f - orc
Aim: an orc, wielding a glowing orcish mace
The puff of frost hits the orc.
The orc is almost dead.
The orc misses you.
Casting: Throw Frost
Confirm with . or Enter, or press ? or * to list all spells.
Aiming: Throw Frost
Press: ? - help, Shift-Dir - straight line, f/p - orc
Aim: an orc, wielding a glowing orcish mace (almost dead)
The puff of frost hits the orc.
You kill the orc!
Vehumet accepts your kill.
You feel your power returning. The orc hits you with an orcish dagger.
Casting: Throw Frost
Confirm with . or Enter, or press ? or * to list all spells.
Aiming: Iskenderun's Mystic Blast
Press: ? - help, Shift-Dir - straight line, f - orc
Aim: an orc wearing an orcish scale mail
The orb of energy hits the orc.
You kill the orc!
Vehumet accepts your kill.
You feel your power returning. The orb of energy explodes!
The mystic blast hits the orc.
You kill the orc!
Vehumet accepts your kill.
You feel your power returning. The mystic blast hits the orc.
The orc is almost dead.
The orc shouts!
The orc closely misses you. The orc misses you.
Unknown command.
Casting: Iskenderun's Mystic Blast
Confirm with . or Enter, or press ? or * to list all spells.
Aiming: Iskenderun's Mystic Blast
Press: ? - help, Shift-Dir - straight line, f - orc
Aim: an orc, wielding an orcish dagger (almost dead)
The orb of energy hits the orc.
You kill the orc!
Vehumet accepts your kill.
You feel your power returning. The orb of energy explodes!
The mystic blast hits the orc.
You kill the orc!
Vehumet accepts your kill.
You feel your power returning.
The orc priest hits you with an orcish dagger.
Casting: Iskenderun's Mystic Blast
Confirm with . or Enter, or press ? or * to list all spells.
Aiming: Lightning Bolt
Press: ? - help, Shift-Dir - straight line, f - orc
Aim: an orc, wielding an orcish flail
You hear a mighty clap of thunder!
The bolt of lightning hits the orc priest.
You kill the orc priest!
Vehumet accepts your kill.
You feel your power returning. The bolt of lightning hits the orc.
You kill the orc!
Vehumet accepts your kill.
You feel your power returning. The bolt of lightning hits the orc.
You kill the orc!
Vehumet accepts your kill.
You feel your power returning.
Casting: Lightning Bolt
Confirm with . or Enter, or press ? or * to list all spells.
Aiming: Throw Frost
Press: ? - help, Shift-Dir - straight line, f - orc warrior
Aim: an orc warrior, wielding an orcish trident and wearing an orcish plate armour
The puff of frost hits the orc warrior. The orc warrior appears unharmed.
Casting: Throw Frost
Confirm with . or Enter, or press ? or * to list all spells.
Okay, then.
Casting: Throw Frost
Confirm with . or Enter, or press ? or * to list all spells.
You don't know that spell.
Unknown command.
Press: ? - help, v - describe, . - travel
Here: an orc warrior, wielding an orcish trident and wearing an orcish plate armour
A floor.
Casting: Throw Frost
Confirm with . or Enter, or press ? or * to list all spells.
Aiming: Lightning Bolt
Press: ? - help, Shift-Dir - straight line, f/p - orc warrior
Aim: an orc warrior, wielding an orcish trident and wearing an orcish plate armour
You hear a mighty clap of thunder!
The bolt of lightning misses the orc warrior.
Casting: Lightning Bolt
Confirm with . or Enter, or press ? or * to list all spells.
Aiming: Lightning Bolt
Press: ? - help, Shift-Dir - straight line, f/p - orc warrior
Aim: an orc warrior, wielding an orcish trident and wearing an orcish plate armour
You hear a mighty clap of thunder!
The bolt of lightning misses the orc warrior.
Casting: Lightning Bolt
Confirm with . or Enter, or press ? or * to list all spells.
Aiming: Lightning Bolt
Press: ? - help, Shift-Dir - straight line, f/p - orc warrior
Aim: an orc warrior, wielding an orcish trident and wearing an orcish plate armour
You hear a mighty clap of thunder!
The bolt of lightning misses the orc warrior.
The orc warrior closely misses you.
Casting: Lightning Bolt
Confirm with . or Enter, or press ? or * to list all spells.
Aiming: Throw Frost
Press: ? - help, Shift-Dir - straight line, f/p - orc warrior
Aim: an orc warrior, wielding an orcish trident and wearing an orcish plate armour
The puff of frost hits the orc warrior.
The orc warrior is moderately wounded.
The orc warrior misses you.
Casting: Throw Frost
Confirm with . or Enter, or press ? or * to list all spells.
Aiming: Throw Frost
Press: ? - help, Shift-Dir - straight line, f/p - orc warrior
Aim: an orc warrior, wielding an orcish trident and wearing an orcish plate armour (moderately wounded)
The puff of frost hits the orc warrior. The orc warrior appears unharmed.
The orc warrior is moderately wounded.
The orc warrior hits you from afar with an orcish trident.
Casting: Throw Frost
Confirm with . or Enter, or press ? or * to list all spells.
Aiming: Throw Frost
Press: ? - help, Shift-Dir - straight line, f/p - orc warrior
Aim: an orc warrior, wielding an orcish trident and wearing an orcish plate armour (moderately wounded)
The puff of frost hits the orc warrior.
The orc warrior is heavily wounded.
The orc warrior closely misses you.
Casting: Throw Frost
Confirm with . or Enter, or press ? or * to list all spells.
Aiming: Throw Frost
Press: ? - help, Shift-Dir - straight line, f/p - orc warrior
Aim: an orc warrior, wielding an orcish trident and wearing an orcish plate armour (heavily wounded)
The puff of frost hits the orc warrior. The orc warrior appears unharmed.
The orc warrior is heavily wounded.
The orc warrior hits you from afar with an orcish trident!
Casting: Throw Frost
Confirm with . or Enter, or press ? or * to list all spells.
Aiming: Throw Frost
Press: ? - help, Shift-Dir - straight line, f/p - orc warrior
Aim: an orc warrior, wielding an orcish trident and wearing an orcish plate armour (heavily wounded)
The puff of frost hits the orc warrior. The orc warrior appears unharmed.
The orc warrior is heavily wounded.
The orc warrior hits you from afar with an orcish trident.
Casting: Throw Frost
Confirm with . or Enter, or press ? or * to list all spells.
Aiming: Throw Frost
Press: ? - help, Shift-Dir - straight line, f/p - orc warrior
Aim: an orc warrior, wielding an orcish trident and wearing an orcish plate armour (heavily wounded)
The puff of frost hits the orc warrior.
The orc warrior is almost dead.
Casting: Throw Frost
Confirm with . or Enter, or press ? or * to list all spells.
Aiming: Throw Frost
Press: ? - help, Shift-Dir - straight line, f/p - orc warrior
Aim: an orc warrior, wielding an orcish trident and wearing an orcish plate armour (almost dead)
The puff of frost hits the orc warrior.
You kill the orc warrior!
Vehumet accepts your kill.
You feel your power returning.
There is a stone staircase leading down here.
Things that are here:
an orcish dagger; an orcish scale mail; an orc corpse
Things that are here:
an orcish trident; an orcish plate armour
There is a stone staircase leading down here.
Things that are here:
an orcish dagger; an orcish scale mail; an orc corpse
Press: ? - help, v - describe, . - travel, g - get item
An orcish dagger.
There is something else lying underneath.
A stone staircase leading down.
You start butchering the orc corpse with your knife.
You continue butchering the corpse.
You finish chopping the orc corpse into pieces.
v - 3 chunks of orc flesh
There is a stone staircase leading down here.
Things that are here:
an orcish dagger; an orcish scale mail
Eat one of 3 chunks of orc flesh? (ye/n/q/i?)
This raw flesh tastes great.
You continue eating.
Eat one of 2 chunks of orc flesh? (ye/n/q/i?)
This raw flesh tastes great.
You continue eating.
Eat a chunk of orc flesh? (ye/n/q/i?)
This raw flesh tastes great.
You continue eating.
Things that are here:
an orcish trident; an orcish plate armour
Things that are here:
an orcish mace; an orcish leather armour; an orc corpse
You now have 1396 gold pieces (gained 8).
Things that are here:
an orcish mace; an orcish leather armour; an orc corpse
You see here an orcish flail.
You start resting.
A toadstool grows from a nearby corpse.
Magic restored.
Things that are here:
an orcish mace; an orcish leather armour; an orc corpse
Things that are here:
an orcish trident; an orcish plate armour
There is a stone staircase leading down here.
Things that are here:
an orcish dagger; an orcish scale mail
There is a stone staircase leading up here.
You see here an orcish dagger.
You hit the toadstool.
The toadstool is moderately damaged.
You hit the toadstool.
The toadstool is severely damaged.
You hit the toadstool.
You destroy the toadstool!
Items here: %%% )) [
Found 11 gold pieces.
Things that are here:
an orcish dagger; an orcish chain mail
Found 16 gold pieces.
You now have 1407 gold pieces (gained 11).
You now have 1423 gold pieces (gained 16).
There is a staircase to the Elven Halls here.
There is a staircase to the Elven Halls here.
Items here: %%% )) [
You see here an orcish dagger.
Things that are here:
an orcish flail; an orc corpse
There is a stone staircase leading down here.
Things that are here:
an orcish dagger; an orcish scale mail
Things that are here:
an orcish flail; an orc corpse
An orc high priest comes into view. It is wielding an orcish great mace.
An orc high priest comes up the stairs.
Things that are here:
an orcish flail; an orc corpse
You see here an orcish dagger.
Press: ? - help, v - describe, . - travel, g - get item
Here: an orc high priest, wielding an orcish great mace and wearing an orcish ring mail (hasn't noticed you)
An orcish trident.
There is something else lying underneath.
A floor.
Unknown command.
The orc high priest takes off an uncursed orcish ring mail.
The orc high priest drops an uncursed orcish ring mail.
The orc high priest picks up an orcish plate armour.
The orc high priest wears an orcish plate armour.
Items here: %%% )) [
Casting: Throw Frost
Confirm with . or Enter, or press ? or * to list all spells.
Aiming: Bolt of Cold
Press: ? - help, Shift-Dir - straight line, f - orc high priest
Aim: an orc high priest, wielding an orcish great mace and wearing an orcish plate armour (hasn't noticed you)
The bolt of cold hits the orc high priest.
The orc high priest is heavily wounded.
Casting: Bolt of Cold
Confirm with . or Enter, or press ? or * to list all spells.
Aiming: Bolt of Cold
Press: ? - help, Shift-Dir - straight line, f/p - orc high priest
Aim: an orc high priest, wielding an orcish great mace and wearing an orcish plate armour (heavily wounded)
The bolt of cold hits the orc high priest.
You kill the orc high priest!
Vehumet accepts your kill.
You feel your power returning.
You see here an orcish dagger.
Things that are here:
an orcish great mace; an orcish plate armour; an orcish flail; an orc corpse
You see here an orcish dagger.
Items here: %%% )) [
A toadstool grows from a nearby corpse.
Things that are here:
an orcish dagger; an orcish chain mail
There is a staircase to the Elven Halls here.
You climb downwards. Welcome to the Elven Halls!
19 elves come into view.
The deep elf fighter shouts! The deep elf mage shouts!
Found a potion of poison and 38 gold pieces.
Found an escape hatch in the floor. Found a staircase back to the Mines.
There is a staircase back to the Mines here.
The deep elf knight shouts! The deep elf soldier shouts!
The deep elf fighter gestures wildly while chanting.
The deep elf fighter blinks!
The deep elf soldier becomes somewhat translucent.
You climb upwards. Welcome back to the Orcish Mines!
There is a staircase to the Elven Halls here.
Things that are here:
an orcish chain mail; an orcish dagger
You hit the toadstool but do no damage.
You hit the toadstool but do no damage.
You hit the toadstool but do no damage.
You see here an orcish dagger.
Things that are here:
an orc corpse; an orcish flail; an orcish plate armour; an orcish great mace
There is a stone staircase leading down here.
Things that are here:
an orcish scale mail; an orcish dagger
You climb downwards.
An orc comes into view. It is wielding an orcish flail.
Found 39 gold pieces.
There is a stone staircase leading up here.
Casting: Bolt of Cold
Confirm with . or Enter, or press ? or * to list all spells.
Aiming: Throw Frost
Press: ? - help, Shift-Dir - straight line, f - orc
Aim: an orc, wielding an orcish flail and wearing an orcish scale mail (resting)
The puff of frost hits the orc.
The orc is moderately wounded.
The orc shouts!
An orc comes into view.
Casting: Throw Frost
Confirm with . or Enter, or press ? or * to list all spells.
Aiming: Throw Frost
Press: ? - help, Shift-Dir - straight line, f - orc
Aim: an orc wearing an orcish leather armour (hasn't noticed you)
The puff of frost hits the orc.
You kill the orc!
Vehumet accepts your kill.
You feel your power returning.
Casting: Throw Frost
Confirm with . or Enter, or press ? or * to list all spells.
Aiming: Throw Frost
Press: ? - help, Shift-Dir - straight line, f - orc
Aim: an orc, wielding an orcish flail and wearing an orcish scale mail (moderately wounded)
The puff of frost hits the orc.
You kill the orc!
Vehumet accepts your kill.
An orc wizard comes into view. It is wielding an orcish dagger.
Casting: Throw Frost
Confirm with . or Enter, or press ? or * to list all spells.
Aiming: Throw Frost
Press: ? - help, Shift-Dir - straight line, f - orc wizard
Aim: an orc wizard, wielding an orcish dagger and wearing an orcish robe (hasn't noticed you)
The puff of frost hits the orc wizard.
The orc wizard is severely wounded.
Casting: Throw Frost
Confirm with . or Enter, or press ? or * to list all spells.
Aiming: Throw Frost
Press: ? - help, Shift-Dir - straight line, f/p - orc wizard
Aim: an orc wizard, wielding an orcish dagger and wearing an orcish robe (severely wounded)
The puff of frost hits the orc wizard.
The orc wizard is severely wounded.
Casting: Throw Frost
Confirm with . or Enter, or press ? or * to list all spells.
Aiming: Throw Frost
Press: ? - help, Shift-Dir - straight line, f/p - orc wizard
Aim: an orc wizard, wielding an orcish dagger and wearing an orcish robe (severely wounded)
The puff of frost hits the orc wizard.
You kill the orc wizard!
Vehumet accepts your kill.
You start resting.
Magic restored.
You start searching.
An orc comes into view. It is wielding an orcish flail.
Casting: Throw Frost
Confirm with . or Enter, or press ? or * to list all spells.
Aiming: Throw Frost
Press: ? - help, Shift-Dir - straight line, f - orc
Aim: an orc, wielding an orcish flail and wearing an orcish leather armour (hasn't noticed you)
The puff of frost misses the orc.
Casting: Throw Frost
Confirm with . or Enter, or press ? or * to list all spells.
Aiming: Throw Frost
Press: ? - help, Shift-Dir - straight line, f/p - orc
Aim: an orc, wielding an orcish flail and wearing an orcish leather armour
The puff of frost hits the orc. The orc appears unharmed.
Casting: Throw Frost
Confirm with . or Enter, or press ? or * to list all spells.
Aiming: Throw Frost
Press: ? - help, Shift-Dir - straight line, f/p - orc
Aim: an orc, wielding an orcish flail and wearing an orcish leather armour
The puff of frost hits the orc.
You kill the orc!
Vehumet accepts your kill.
You feel your power returning.
Casting: Throw Frost
Confirm with . or Enter, or press ? or * to list all spells.
There are no visible monsters within range! (Use Z to cast anyway.)
Unknown command.
An ogre and Joseph come into view.
Found 19 gold pieces.
An orc comes into view. It is wielding an orcish club.
Found 42 gold pieces.
Casting: Throw Frost
Confirm with . or Enter, or press ? or * to list all spells.
Aiming: Throw Frost
Press: ? - help, Shift-Dir - straight line, f - Joseph
Aim: Joseph, wielding a quarterstaff and wearing a leather armour (resting)
The puff of frost misses Joseph. Joseph picks up some gold.
Casting: Throw Frost
Confirm with . or Enter, or press ? or * to list all spells.
Aiming: Throw Frost
Press: ? - help, Shift-Dir - straight line, f/p - Joseph
Aim: Joseph, wielding a quarterstaff and wearing a leather armour (hasn't noticed you)
The puff of frost hits Joseph.
Joseph is lightly wounded.
Joseph unwields an uncursed quarterstaff.
Joseph wields a sling. Joseph shoots a sling bullet of flame.
The sling bullet of flame misses you.
Casting: Throw Frost
Confirm with . or Enter, or press ? or * to list all spells.
Aiming: Throw Frost
Press: ? - help, Shift-Dir - straight line, f/p - Joseph
Aim: Joseph, wielding a sling and wearing a leather armour (lightly wounded)
The puff of frost hits Joseph.
Joseph is moderately wounded.
Joseph shoots a sling bullet of flame. The sling bullet of flame misses you.
Casting: Throw Frost
Confirm with . or Enter, or press ? or * to list all spells.
Aiming: Throw Frost
Press: ? - help, Shift-Dir - straight line, f/p - Joseph
Aim: Joseph, wielding a sling and wearing a leather armour (moderately wounded)
The puff of frost hits Joseph.
Joseph is moderately wounded.
The ogre shouts!
Casting: Throw Frost
Confirm with . or Enter, or press ? or * to list all spells.
Aiming: Throw Frost
Press: ? - help, Shift-Dir - straight line, f/p - Joseph
Aim: Joseph, wielding a sling and wearing a leather armour (moderately wounded)
The puff of frost hits the orc.
The orc is heavily wounded.
Casting: Throw Frost
Confirm with . or Enter, or press ? or * to list all spells.
Aiming: Throw Frost
Press: ? - help, Shift-Dir - straight line, f/p - Joseph
Aim: Joseph, wielding a sling and wearing a leather armour (moderately wounded)
The puff of frost hits the orc.
You kill the orc!
Vehumet accepts your kill.
You feel your power returning. Joseph shoots a sling bullet of flame.
The sling bullet of flame hits you!
Joseph shoots a sling bullet of flame. The sling bullet of flame hits you!
There is a stone staircase leading up here.
You see here a sling bullet of flame.
Casting: Throw Frost
Confirm with . or Enter, or press ? or * to list all spells.
Aiming: Throw Frost
Press: ? - help, Shift-Dir - straight line, f/p - Joseph
Aim: Joseph, wielding a sling and wearing a leather armour (moderately wounded)
The puff of frost hits Joseph.
Joseph is heavily wounded.
Joseph shoots a sling bullet of flame. The sling bullet of flame hits you!
Unknown command.
Casting: Throw Frost
Confirm with . or Enter, or press ? or * to list all spells.
Aiming: Throw Frost
Press: ? - help, Shift-Dir - straight line, f/p - Joseph
Aim: Joseph, wielding a sling and wearing a leather armour (heavily wounded)
The puff of frost hits Joseph.
Joseph is severely wounded.
Joseph shoots a sling bullet of flame. The sling bullet of flame hits you!
Casting: Throw Frost
Confirm with . or Enter, or press ? or * to list all spells.
Aiming: Lightning Bolt
Press: ? - help, Shift-Dir - straight line, f/p - Joseph
Aim: Joseph, wielding a sling and wearing a leather armour (severely wounded)
You hear a mighty clap of thunder!
The bolt of lightning hits Joseph.
Joseph is severely wounded.
You hear a shout!
Joseph shoots a sling bullet of flame. The sling bullet of flame hits you!
Casting: Lightning Bolt
Confirm with . or Enter, or press ? or * to list all spells.
Aiming: Lightning Bolt
Press: ? - help, Shift-Dir - straight line, f/p - Joseph
Aim: Joseph, wielding a sling and wearing a leather armour (severely wounded)
You hear a mighty clap of thunder!
The bolt of lightning hits Joseph.
You kill Joseph!
Vehumet accepts your kill.
The ogre completely misses you.
Casting: Lightning Bolt
Confirm with . or Enter, or press ? or * to list all spells.
Aiming: Throw Frost
Press: ? - help, Shift-Dir - straight line, f - ogre
Aim: an ogre, wielding a giant club
The puff of frost hits the ogre.
The ogre is heavily wounded.
The ogre completely misses you.
An orc priest comes into view. It is wielding an orcish mace.
Casting: Throw Frost
Confirm with . or Enter, or press ? or * to list all spells.
Aiming: Throw Frost
Press: ? - help, Shift-Dir - straight line, f/p - ogre
Aim: an ogre, wielding a giant club (heavily wounded)
The puff of frost hits the ogre.
The ogre is almost dead.
The ogre completely misses you.
An orc wizard comes into view. It is wielding an orcish dagger.
Casting: Throw Frost
Confirm with . or Enter, or press ? or * to list all spells.
Aiming: Throw Frost
Press: ? - help, Shift-Dir - straight line, f/p - ogre
Aim: an ogre, wielding a giant club (almost dead)
The puff of frost hits the ogre.
You kill the ogre!
Vehumet accepts your kill.
You feel your power returning.
2 orcs come into view.
Casting: Throw Frost
Confirm with . or Enter, or press ? or * to list all spells.
Aiming: Throw Frost
Press: ? - help, Shift-Dir - straight line, f - orc
Aim: an orc, wielding an orcish club
The puff of frost hits the orc.
You kill the orc!
Vehumet accepts your kill.
The orc wizard unwields an uncursed orcish dagger.
The orc wizard drops an uncursed orcish dagger.
The orc wizard picks up an uncursed quarterstaff.
The orc wizard wields an uncursed quarterstaff.
The orc wizard picks up an uncursed orcish dagger.
The orc priest invokes the aid of Beogh against you.
Something smites you!
You climb upwards.
There is a stone staircase leading down here.
Things that are here:
an orcish scale mail; an orcish dagger
You start resting.
A toadstool grows from a nearby corpse.
Magic restored.
You start resting.
HP restored.
There is a stone staircase leading down here.
Things that are here:
an orcish scale mail; an orcish dagger
Welcome back, Uranus the Deep Elf Conjurer.
Vehumet says: Let it end in hellfire!
Welcome back, Uranus the Deep Elf Conjurer.
Vehumet says: Let it end in hellfire!
Press ? for a list of commands and other information.
A goblin and an orc come into view.
Search for what [? for help]? wand

>>>>>>>>>>>>>>>>>>>>>>

Game state:

mouse_enabled: 0, waiting_for_command: 0, terminal_resized: 0
io_inited: 1, need_save: 1, saving_game: 0, updating_scores: 0:
seen_hups: 0, map_stat_gen: 0, type: 1, arena_suspended: 0

prev_cmd = CMD_SEARCH_STASHES
repeat_cmd = CMD_NO_CMD

Player:
{{{{{{{{{{{
Name: [Uranus]
Species: Deep Elf
Job: Conjurer

class_name: Conjurer

HP: 127/127; mods: 0/88
MP: 45/45; mods: 0/2
Stats: 8 (8) 26 (26) 15 (15)
Position: (37, 12), god:Vehumet (6), turn_is_over: 0, banished: 0
Standing on/in/over feature: stone staircase leading up

Skills (mode: manual)
Name | can_train | train | training | level | points | progress
Fighting | X | 0 | 0 | 0 | 0 | 0/70
Short Blades | | 0 | 0 | 0 | 0 | 0/50
Long Blades | | 0 | 0 | 0 | 0 | 0/59
Axes | | 0 | 0 | 0 | 0 | 0/70
Maces & Flails | | 0 | 0 | 0 | 0 | 0/84
Polearms | | 0 | 0 | 0 | 0 | 0/84
Staves | | 0 | 0 | 0 | 0 | 0/50
Slings | | 0 | 0 | 0 | 0 | 0/70
Bows | | 0 | 0 | 0 | 0 | 0/42
Crossbows | | 0 | 0 | 0 | 0 | 0/59
Throwing | X | 0 | 0 | 0 | 0 | 0/42
Armour | X | 0 | 0 | 0 | 0 | 0/70
Dodging | X | 0 | 0 | 12 | 3131 | 162/601
Stealth | X | 1 | 25 | 13 | 3141 | 285/538
Stabbing | X | 0 | 0 | 0 | 0 | 0/42
Shields | | 0 | 0 | 0 | 0 | 0/70
Traps & Doors | X | 0 | 0 | 0 | 0 | 0/50
Unarmed Combat | X | 0 | 0 | 0 | 0 | 0/70
Spellcasting | X | 1 | 25 | 14 | 4086 | 186/682
Conjurations | X | 2 | 50 | 17 | 8351 | 405/1135
Hexes | | 0 | 0 | 0 | 0 | 0/29
Charms | | 0 | 0 | 0 | 0 | 0/25
Summonings | | 0 | 0 | 0 | 0 | 0/42
Necromancy | | 0 | 0 | 0 | 0 | 0/35
Translocations | | 0 | 0 | 0 | 0 | 0/42
Transmutations | | 0 | 0 | 0 | 0 | 0/42
Fire Magic | | 0 | 0 | 0 | 0 | 0/42
Ice Magic | X | 0 | 0 | 5 | 832 | 202/252
Air Magic | X | 0 | 0 | 6 | 882 | 0/295
Earth Magic | | 0 | 0 | 0 | 0 | 0/50
Poison Magic | X | 0 | 0 | 6 | 1122 | 240/295
Invocations | | 0 | 0 | 0 | 0 | 0/40
Evocations | X | 0 | 0 | 0 | 0 | 0/33

Spell bugs:

Durations:
    0000044: 2006

Attributes:
    0000013: 1455
    0000014: 52
    0000020: 22016
    0000024: 38758
    #25: 1193097949
    0000028: 66417

Mutations:

Demon mutations:

Inventory bugs:

Equipment:
    eq slot #1, inv slot 0000019: +2 cloak of preservation
    eq slot 0000002, inv slot 0000018: +0 cap
    eq slot 0000006, inv slot 0000013: +1 elven robe
    eq slot 0000007, inv slot 0000014: ring of magical power
    eq slot 0000008, inv slot 0000022: +3 ring of strength
    eq slot 0000009, inv slot 0000008: amulet of the gourmand

}}}}}}}}}}}


Screenshot:
       ...
    ###......
   $..#.$.....
  ...........%.
 ..............#
 ..........[....
 ..........#....
...#....o........
........@........
.#....#)(..o.....
 .#......%......#
.................
 ....#......)g#.
 ....%......%o..
 #.........o....
  .............
   ...........

clua stack:


dlua stack:


Lua persistent data:
<<<<<<<<<<<<<<<<<<<<<<
ice_cave_hard: false
bailey_type: bailey_axe
>>>>>>>>>>>>>>>>>>>>>>

Lua marker contents:
<<<<<<<<<<<<<<<<<<<<<<
>>>>>>>>>>>>>>>>>>>>>>
Additional Information
Tags No tags attached.
Attached Files ? file icon Uranus.cs [^] (694,665 bytes) 2013-04-28 15:18

- Relationships

-  Notes
(0022481)
gooby (reporter)
2013-04-28 16:20

This same issue has come and gone looking for other items. I cannot be reproduced 100% reliably but there are commonalities to each case. I do not know what causes it as such but the same assertion fails each time:

ASSERT(subdepth <= 27) in 'travel.cc' at line 1832 failed.
(0026353)
neil (administrator)
2014-05-31 22:29
edited on: 2014-05-31 22:29

It sounds like there was some kind of loop in the dungeon structure. In any event, loading it in a newer version of crawl (0.15 trunk, for example) seems to work fine and allow searching for wands and several other items.

If you want to continue this game, you can use 0.15-a0-1205-g63ae02f or 0.14.1-14-gaa29ffa or later. Don't use 0.14.1 release, because that still has a bug whereby your old transferred save is likely not to get a pan or abyss portal.


- Issue History
Date Modified Username Field Change
2013-04-28 15:18 gooby New Issue
2013-04-28 15:18 gooby File Added: Uranus.cs
2013-04-28 16:20 gooby Note Added: 0022481
2014-05-31 22:29 neil Note Added: 0026353
2014-05-31 22:29 neil Status new => resolved
2014-05-31 22:29 neil Fixed in Branch => 0.15 development branch
2014-05-31 22:29 neil Resolution open => done
2014-05-31 22:29 neil Assigned To => neil
2014-05-31 22:29 neil Note Edited: 0026353


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker